<div>
    <h2 id="page-heading">
        <span>Agent Commission Rates</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-agent-commission-rate" [routerLink]="['/agent-commission-rate/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Agent Commission Rate
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="agentCommissionRates?.length === 0">
        <span>No agentCommissionRates found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="agentCommissionRates && agentCommissionRates.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Constraint</span></th>
                    <th scope="col" ><span>Commission Rate</span></th>
                    <th scope="col" ><span>Type</span></th>
                    <th scope="col" ><span>Comment</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let agentCommissionRate of agentCommissionRates ;trackBy: trackId">
                    <td><a [routerLink]="['/agent-commission-rate', agentCommissionRate.id, 'view']">{{ agentCommissionRate.id }}</a></td>
                    <td>{{ agentCommissionRate.constraint }}</td>
                    <td>{{ agentCommissionRate.commissionRate }}</td>
                    <td>{{ agentCommissionRate.type }}</td>
                    <td>{{ agentCommissionRate.comment }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/agent-commission-rate', agentCommissionRate.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/agent-commission-rate', agentCommissionRate.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(agentCommissionRate)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
